using MathSale;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace TestDll
{
    [TestClass]
    public class TestDLL
    {
        Sale sale = new Sale();
        [TestMethod]
        public void TestDll_1()
        {
            decimal exp = (decimal)16.15;
            var ans = sale.sale(10, 575);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_2()
        {
            decimal exp = (decimal)8726.11;
            var ans = sale.sale(345, 4355555);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_3()
        {
            decimal exp = (decimal)15.71;
            var ans = sale.sale(15, 355);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_4()
        {
            decimal exp = (decimal)215;
            var ans = sale.sale(12, 100000);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_5()
        {
            decimal exp = (decimal)19;
            var ans = sale.sale(124, 2000);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_6()
        {
            decimal exp = (decimal)10.6;
            var ans = sale.sale(5, 300);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_7()
        {
            decimal exp = (decimal)11.2;
            var ans = sale.sale(7, 600);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_8()
        {
            decimal exp = (decimal)0;
            var ans = sale.sale(2, 400);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_9()
        {
            decimal exp = (decimal)15.426;
            var ans = sale.sale(123, 213);
            Assert.AreEqual(exp, ans);
        }
        [TestMethod]
        public void TestDll_10()
        {
            decimal exp = (decimal)16.084;
            var ans = sale.sale(12, 542);
            Assert.AreEqual(exp, ans);
        }
    }
}

